MYSQL Fehlermeldung

Alles, was MariaDB und MySQL betrifft, kann hier besprochen werden.

MYSQL Fehlermeldung

Postby darkman67 » 27. June 2005 21:41

Moin Moin,

Ich hab seit gestern ein kleines Problem nach dem Update von Xampp bzw dem Update von MYSQL. Ich hab Das Update von Xampp 1.4.14 Installiert und finde jetzt in der Errorlog von Mysql diese Fehlermeldungen:

050626 22:36:46 [Warning] mysql.user table is not updated to new password format; Disabling new password usage until mysql_fix_privilege_tables is run
050626 22:36:46 [Warning] Can't open and lock time zone table: Table 'mysql.time_zone_leap_second' doesn't exist trying to live without them
.......\xampp\mysql\bin\mysqld-nt: ready for connections.
Version: '4.1.12-nt-log' socket: '' port: 3306 Official MySQL binary


Ich hab bisher noch nichts gefunden, was mir die Meldung irgendwie erklärbar macht bzw wie ich die Fehlermeldungen wieder wegbekommen, hat jemand von euch ne Idee. Achso die Datenbanken selber laufen bisher ohne Probleme, man kann sie zumindest benutzten und Fehler hab ich bisher noch nicht feststellen können.


Gruss

Darkman67
User avatar
darkman67
 
Posts: 20
Joined: 17. April 2005 18:23

Postby Wiedmann » 28. June 2005 08:12

Von welchem XAMPP hast du denn auf den aktuellen das Upgrade gemacht?
Wiedmann
AF Moderator
 
Posts: 17106
Joined: 01. February 2004 12:38
Location: Stuttgart / Germany

Postby darkman67 » 28. June 2005 12:44

Von der Version 1.4.12 auf 1.4.14, kann es daran liegen, daß eine version dazwischen fehlt ?
User avatar
darkman67
 
Posts: 20
Joined: 17. April 2005 18:23

Postby Wiedmann » 28. June 2005 12:52

Auch. Bei Upgrades musst du jedes einspielen was zwischen den Versionen liegt.
Wiedmann
AF Moderator
 
Posts: 17106
Joined: 01. February 2004 12:38
Location: Stuttgart / Germany

Postby darkman67 » 28. June 2005 17:41

hmm naja Unachtsamkeit von mir, wo bekomm ich denn die Vorgängerversionen nochher? Gibts da noch irgendwo ein Archiv oder sowas wo die Versionen gespeichert sind?
User avatar
darkman67
 
Posts: 20
Joined: 17. April 2005 18:23

Postby Wiedmann » 28. June 2005 17:49

Gibts da noch irgendwo ein Archiv oder sowas wo die Versionen gespeichert sind?

Yup. Auf der Downloadseite ist ein Link dazu.
Wiedmann
AF Moderator
 
Posts: 17106
Joined: 01. February 2004 12:38
Location: Stuttgart / Germany

Postby darkman67 » 02. July 2005 21:01

Soooo......... hat ne weile gedauert, aber hat nix gebracht alle Updates nacheinander einzuspielen :( . Also mal zum Versionsteil von mysql. Es gibt keine Fehlermeldung wenn die mysqld-nt 4.0.21 läuft. Spiele ich eine Version ein, die grösser ist als 4.0.21 kommt die oben genannte Fehlermeldung im Sql-log. Ich kann die Datenbanken ohne Probleme einsetzen "noch?". Ich habe im Net gesucht, aber zu den Meldungen nichts gefunden was mir weiterhelfen könnte, bzw wie ich die Meldungen beseitigen kann, weiss jemand zufällig was man da machen kann, MySql-Front ist auch der Meinung, die Datenbanken sind OK. Irgend etwas fehlt........nur was ????
User avatar
darkman67
 
Posts: 20
Joined: 17. April 2005 18:23

Postby darkman67 » 04. July 2005 20:10

Hmmm..........................grübel..........keiner ne Idee ? :? :(
User avatar
darkman67
 
Posts: 20
Joined: 17. April 2005 18:23

Postby deepsurfer » 05. July 2005 13:50

Es gibt keine Fehlermeldung wenn die mysqld-nt 4.0.21 läuft. Spiele ich eine Version ein, die grösser ist als 4.0.21 kommt die oben genannte Fehlermeldung im Sql-log.



sorry wenn ich gegenfrage....
Im Verlauf der Texte hier wurde festgestellt das du von XAMPP 1.4.12 einfach auf 1.4.14 eupdatest hast, was Wiedmann mitteilt das es so nicht geht, sondern die zwischen Updates benutzen solltest.

Also: 1.4.12 upgrade auf 1.4.13 und dann upgrade auf 1.4.14

Der DownloadLINK um die Version 1.4.12 solltest du ja gefunden haben.

Jetzt sprichst du von einem Update des MySQL selbst, was trifft den jetzt zu ?
Denn soweit ich das hier mit bekomme ist das Updaten des MySQLserver im XAMPP nicht ohne etliche Einstellungen möglich da alles miteinander Verbunden ist (Pfad bedingt)
chirio Deep
Wie sagte einst der MCP aus Tron auf dem Bildschirm zu schreiben Pflegte
" ... end of communication ... "
User avatar
deepsurfer
AF Moderator
 
Posts: 6440
Joined: 23. November 2004 10:44
Location: Cologne
Operating System: Win-XP / Win7 / Linux -Debian

Postby darkman67 » 05. July 2005 16:01

Sorry hab ich mich wohl ein wenig Missverständlich ausgedrückt.
Also beim Update des Xampp Paketes wird ja auch soweit vorhanden das Mysql Pakte mit upgedatet, richtig? Ok, bei Xampp an sich ist alles soweit ok, mein Problem liegt scheinbar beim Mysql, bevor ich das Update gemacht habe, hab ich selbstverständlich alles beendet und das System neu gestartet, die mysqld-nt kann man ja erst nach einem Neustart austauschen. Und eben nachdem ich das Update durchgezogen habe kommt die oben angegebene Meldung, die Datenbanken laufen aber scheinbar Problemlos, zumindest konnte ich bisher keine anderen Meldungen feststellen. kann ja auch sein, daß ich irgendwo einen Fehler gemacht, nur weiss ich derzeit auch nicht wo ich suchen soll. In der Mysql Doku ist der Fehler auch nicht beschrieben, zumindest hab ich nichts gefunden, die Config Dateien von Mysql sind ja auch nicht so das man da viel verändern muss, oder muss woanders noch was neu eingestellt werden, achja Mysql läuft bei mir als Dienst.
User avatar
darkman67
 
Posts: 20
Joined: 17. April 2005 18:23

Postby darkman67 » 06. July 2005 18:03

Moin Moin

so ich hab das Problem dank der guten mithilfe nun doch noch gelöst :) Danke :)
In diesem Verzeichniss haben die Dateien mit dieser Bezeichnung gefehlt:
..........\xampp\mysql\data\mysql\time_zone_leap_second.*

Nur mal so zur Info für die, die auch mal so ein Problem haben sollten. In dem Verzeichniss hätte ich nie gesucht. In dem Verzeichniss wird durch ein Update NIX upgedatet :( .

Also

so long Leute
User avatar
darkman67
 
Posts: 20
Joined: 17. April 2005 18:23


Return to MariaDB - MySQL

Who is online

Users browsing this forum: No registered users and 3 guests